# -------------------------------------------------------------
# file: test.gp
# A script to test errorbars with time axes
# -------------------------------------------------------------
# -------------------------------------------------------------
# Battelle Memorial Institute
# Pacific Northwest Laboratory
# -------------------------------------------------------------
# -------------------------------------------------------------
# Created February 02, 1998 by William A. Perkins
# Last Change: Mon Feb  2 09:57:02 1998 by William A. Perkins <perk@yama.pnl.gov>
# -------------------------------------------------------------

set nokey
set lmargin 10
set rmargin 4
set xdata time
set ydata
set timefmt '%m/%d/%y'
set pointsize 0.1
set yrange [2.5:10.5]
set ytics ("Marsh\nCreek" 3, "Sawtooth\nHatchery" 4, "Thomas\nCreek" 5, "Valley\nCreek" 6, "Yankee\nFork" 7, "Krassel" 8, "Knox\nBridge" 9, "Secesh\nRiver" 10)
plot 'test.dat' using 2:1:2:3:($1-0.1):($1+0.1) with boxxyerror
pause -1 'Hit RETURN to Continue ...'
set bar 3.0
plot 'test.dat' using 2:1:2:3 with xerrorbars
pause -1 'Hit RETURN to Continue ...'
reset
set nokey
set bmargin 4
set ydata time
set timefmt '%m/%d/%y'
set pointsize 0.1
set xrange [2.5:10.5]
set xtics ("Marsh\nCreek" 3, "Sawtooth\nHatchery" 4, "Thomas\nCreek" 5, "Valley\nCreek" 6, "Yankee\nFork" 7, "Krassel" 8, "Knox\nBridge" 9, "Secesh\nRiver" 10)
plot 'test.dat' using 1:2:($1-0.1):($1+0.1):2:3 with boxxyerror
pause -1 'Hit RETURN to Continue ...'
set bar 3.0
plot 'test.dat' using 1:2:2:3 with yerrorbars

